## python-ldap 1.9.999.pre04

=== Makefile ===
# $Id: Makefile,v 1.3 2001/11/15 00:48:11 leonard Exp $

PYTHON=	python

all: build

build: .force
	$(PYTHON) setup.py build

install:
	$(PYTHON) setup.py install

dist: .force
	$(PYTHON) setup.py bdist

srcdist: .force
	-mkdir -p dist
	NAME=python-ldap-`$(PYTHON) setup.py --version`; \
	cd dist && \
	rm -rf $$NAME && \
	cvs -d :pserver:anonymous@cvs.python-ldap.sourceforge.net:/cvsroot/python-ldap export -rHEAD -d $$NAME python-ldap && \
	tar fcv - $$NAME | gzip -9 > $$NAME-src.tar.gz

clean:
	$(PYTHON) setup.py clean --all
	-rm -rf dist build

.force: ;

=== Doc/Makefile ===
# $Id: Makefile,v 1.6 2002/02/09 16:08:29 stroeder Exp $

PYTHONSRC=	/home/michael/src/Python-2.2
DOCTOOLSDIR=	$(PYTHONSRC)/Doc/tools
PAPER=		a4
DVIPS=		dvips -N0 -t $(PAPER)
PYTHON=		python
MKHOWTO=	$(DOCTOOLSDIR)/mkhowto
MKDVI=		$(MKHOWTO) --dvi
MKPDF=		$(MKHOWTO) --pdf
TEXINPUTS=	$(PYTHONSRC)/Doc/texinputs::
ENV=		/usr/bin/env TEXINPUTS=$(TEXINPUTS)

SRCS=python-ldap.tex ldap.tex version.tex ldif.tex ldapurl.tex \
     ldap_async.tex ldap_modlist.tex

all: python-ldap.dvi python-ldap.ps python-ldap.pdf python-ldap/index.html

python-ldap/index.html: $(SRCS)
	$(ENV) $(MKHOWTO) --html python-ldap.tex
python-ldap.ps: python-ldap.dvi
	$(ENV) $(DVIPS) -o python-ldap.ps python-ldap.dvi
python-ldap.dvi: $(SRCS)
	$(ENV) $(MKDVI) python-ldap.tex
python-ldap.pdf: $(SRCS)
	$(ENV) $(MKPDF) python-ldap.tex
version.tex:
	v=`${PYTHON} ../setup.py --version`; \
	d=`date +"%B %e, %Y"`; \
	echo "%release{$$v}%setshortversion{$$v}%date{$$d}" | tr % "\\\\" >$@
clean:
	rm -f *~ *.bck *.aux *.idx *.ilg *.ind *.log *.toc 
	rm -f *.bkm *.syn *.pla *.l2h *.how
	rm -f python-ldap.dvi python-ldap.ps python-ldap.pdf
	rm -f version.tex
	rm -rf python-ldap

## python-ldap 2.3.13

=== debian/changelog ===
python-ldap (2.3.13-1) unstable; urgency=low

  * New upstream release.
  * Switch from dh_pycentral to dh_python2.  Closes: #617010.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 8.
  * Conforms to Standards version 3.9.2.

 -- Matej Vela <vela@debian.org>  Sat, 30 Apr 2011 16:06:02 +0200

python-ldap (2.3.11-1) unstable; urgency=low

  * New upstream release.

 -- Matej Vela <vela@debian.org>  Tue, 27 Apr 2010 04:47:18 +0200

python-ldap (2.3.10-1) unstable; urgency=low

  * New upstream release.

 -- Matej Vela <vela@debian.org>  Sat, 31 Oct 2009 21:19:35 +0100

python-ldap (2.3.9-3) unstable; urgency=low

  * Allow for Python 2.6 installation paths (*/dist-packages rather than
    */site-packages).  Closes: #547845.

 -- Matej Vela <vela@debian.org>  Thu, 24 Sep 2009 09:03:34 +0200

python-ldap (2.3.9-2) unstable; urgency=low

  * Switch to debhelper 7.
  * Provide python-ldap-dbg.  Closes: #529874.

 -- Matej Vela <vela@debian.org>  Wed, 05 Aug 2009 19:32:05 +0200

python-ldap (2.3.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/watch: Update upstream URL.
  * Conforms to Standards version 3.8.2.

 -- Matej Vela <vela@debian.org>  Wed, 05 Aug 2009 17:38:13 +0200

python-ldap (2.3.8-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update upstream URL.

 -- Matej Vela <vela@debian.org>  Thu, 30 Apr 2009 15:23:30 +0200

python-ldap (2.3.7-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update upstream URL.

 -- Matej Vela <vela@debian.org>  Thu, 09 Apr 2009 21:11:22 +0200

python-ldap (2.3.6-1) unstable; urgency=low

  * New upstream release.  Closes: #504835.
  * Conforms to Standards version 3.8.1.

 -- Matej Vela <vela@debian.org>  Mon, 06 Apr 2009 10:29:03 +0200

python-ldap (2.3.5-1) unstable; urgency=low

  * New upstream release.
  * Drop openldap_2.1.diff (we've been using 2.4 for a while).
  * Convert back to a monolithic .diff.gz, it's pretty simple now.
  * Add Homepage field.
  * Conforms to Standards version 3.8.0.

 -- Matej Vela <vela@debian.org>  Tue, 08 Jul 2008 19:47:41 +0200

python-ldap (2.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Matej Vela <vela@debian.org>  Sat, 29 Mar 2008 15:25:36 +0100

python-ldap (2.3.3-1) unstable; urgency=low

  * New upstream release.
  * Conforms to Standards version 3.7.3.

 -- Matej Vela <vela@debian.org>  Wed, 26 Mar 2008 18:43:29 +0100

python-ldap (2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Matej Vela <vela@debian.org>  Thu, 26 Jul 2007 17:27:19 +0200

python-ldap (2.3-2) unstable; urgency=low

  * Build for Python 2.5.  Closes: #411799.

 -- Matej Vela <vela@debian.org>  Sat,  5 May 2007 06:34:54 +0200

python-ldap (2.3-1) unstable; urgency=low

  * New upstream release.
    - LDIF parser now handles changetype.  Closes: #413980.
    - debian/patches/openldap_2.1.diff: More changes for compatibility
      with OpenLDAP 2.1 (upstream assumes 2.3+).
    - debian/patches/passwd_none.diff: Integrated upstream.
  * debian/python-ldap.preinst: Don't remove /usr/share/doc/python-ldap as
    it is no longer being replaced with a symlink to python2.3-ldap.

 -- Matej Vela <vela@debian.org>  Tue, 10 Apr 2007 22:09:18 +0200

python-ldap (2.2.0-3) unstable; urgency=low

  * Prune indirectly used libraries from the link line and from build
    dependencies (specifically, `-lssl -lcrypto' and libssl-dev).  See
    <http://lists.debian.org/debian-devel-announce/2005/11/msg00016.html>.
  * Switch to python-central.

 -- Matej Vela <vela@debian.org>  Wed,  9 Aug 2006 15:48:00 +0200

python-ldap (2.2.0-2) unstable; urgency=low

  * Acknowledge NMU.  Thanks, Pierre!
  * Build depend on cdbs (>= 0.4.41) to ensure it supports the new
    Python policy (#373628).
  * Remove `dummy package' from the description.
  * debian/patches/passwd_none.diff: Accept None for user, oldpw, newpw
    in passwd().  Backported from CVS, partially fixes #291230.
  * debian/rules: cdbs now cleans the build directory on its own.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Fri,  7 Jul 2006 20:33:50 +0200

python-ldap (2.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to the new python policy (Closes: #373322).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 29 Jun 2006 11:49:30 +0200

python-ldap (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Split python-ldap-doc into a separate source package in contrib due
    to its build dependency on latex2html.
  * debian/patches/openldap_2.1.diff: Preserve compatibility with the
    currently packaged OpenLDAP libraries.

 -- Matej Vela <vela@debian.org>  Mon, 10 Apr 2006 08:21:13 +0200

python-ldap (2.0.11-2) unstable; urgency=low

  * debian/patches/result3_tuple_size.diff: Fix tuple size in result3().
    Thanks to Alessandro Ogier for the patch (SF#1368108; fixed in CVS).
    Closes: #357932.

 -- Matej Vela <vela@debian.org>  Mon, 20 Mar 2006 12:29:57 +0100

python-ldap (2.0.11-1) unstable; urgency=low

  * New maintainer.  Closes: #354618.
  * New upstream release.  Closes: #343374.
    - Features specific to OpenLDAP 2.1+ are now used only if available.
      Closes: #293585.
  * Switch to cdbs.
  * debian/patches/opt_api_info.diff: LDAPAPIInfo.ldapai_vendor_version is
    an integer rather than a string.  Closes: #278795.
  * Add support for Python 2.4.  Closes: #324847.
  * Remove support for Python 2.1/2.2.  Closes: #351142.
  * Fix typo in description.  Closes: #300040, #300045, #300062, #300070.
  * Distribute examples with python-ldap-doc.  Closes: #269496, #306513.
  * Remove empty files from python-ldap-doc.
  * Replace /usr/share/doc/python-ldap with a symlink to python2.3-ldap.
  * debian/copyright: Add Peter and myself to the list of maintainers.
  * debian/python-ldap-doc.doc-base: Add.
  * debian/watch: Add.
  * debian/README.Debian: LDAPv3 warning no longer relevant; remove.


=== debian/control ===
Source: python-ldap
Section: python
Priority: optional
Maintainer: Matej Vela <vela@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg, libldap2-dev, libsasl2-dev
Homepage: http://www.python-ldap.org/
X-Python-Version: >= 2.3

Package: python-ldap
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${python:Breaks}
Provides: ${python:Provides}
Suggests: python-ldap-doc
Conflicts: python2.3-ldap (<< 2.2.0-1.1), python2.4-ldap (<< 2.2.0-1.1), python2.3-ldap-tls
Replaces: python2.3-ldap (<< 2.2.0-1.1), python2.4-ldap (<< 2.2.0-1.1), python2.3-ldap-tls
Description: LDAP interface module for Python
 This module provides a Python interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).

Package: python-ldap-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-ldap (= ${binary:Version}), python-dbg, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: ${python:Breaks}
Provides: ${python:Provides}
Description: LDAP interface module for Python (debug extension)
 This module provides a Python interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This package contains the extension built for the Python debug interpreter.

## python-ldap 2.4.8

=== debian/changelog ===
python-ldap (2.4.8-1) unstable; urgency=low

  * New upstream release; thanks to Robin Wittler.  Closes: #651687.
  * Suggest python-pyasn1 for ldap.controls.*, ldap.extop.*, ldap.syncrepl.
  * Drop ${python:Breaks} (#631397).
  * Conforms to Standards version 3.9.3.

 -- Matej Vela <vela@debian.org>  Tue, 28 Feb 2012 15:32:47 +0100

## python-ldap 2.4.9

=== debian/changelog ===
python-ldap (2.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Matej Vela <vela@debian.org>  Wed, 14 Mar 2012 23:43:54 +0100

## python-ldap 2.4.10

=== Build/build-openbsd/Makefile ===
# $Id: Makefile,v 1.3 2000/08/20 15:04:23 leonard Exp $

WRKDIST=		${.CURDIR}/../..
VERSION!=		sh ${WRKDIST}/Build/version.sh

PKGNAME=		python-ldap-${VERSION}
RUN_DEPENDS=		python:lang/python
CATEGORIES=		misc
MAINATINER=		leonard@users.sourceforge.net
HOMEPAGE=		http://python-ldap.sourceforge.net/

FAKE=			Yes
CONFIGURE_STYLE=	gnu
SEPARATE_BUILD=		Yes
EXTRACT_ONLY=	

CONFIGURE_ARGS+=	--with-ldap=${LOCALBASE}

do-fetch:;

#-- put package on sourceforge ftp server
export-ftp: ${PKGFILE}
	scp ${PKGFILE} python-ldap.sourceforge.net:/home/groups/ftp/pub/python-ldap/${PKGNAME}-${OPSYS}-${ARCH}${PKG_SUFX}

post-build:
	sed -e 's,^${PREFIX}/,,' <${WRKBUILD}/filelist >${WRKBUILD}/filelist2

SED_PLIST+=	|sed -e '/^%%filelist/r${WRKBUILD}/filelist2' -e '//d'
ALL_TARGET=	build filelist

.include <bsd.port.mk>

=== debian/changelog ===
python-ldap (2.4.10-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:02 +0000

python-ldap (2.4.10-1) unstable; urgency=low

  * New upstream release.

 -- Matej Vela <vela@debian.org>  Thu, 07 Jun 2012 19:53:38 +0100

=== debian/watch ===
version=2
http://pypi.python.org/packages/source/p/python-ldap/python-ldap-([\d.]+)\.tar\.gz

## python-ldap 2.4.20

=== debian/changelog ===
python-ldap (2.4.20-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #742487)
  * watch: Update the url.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Sep 2015 05:15:56 +0300

## python-ldap 2.4.22

=== debian/changelog ===
python-ldap (2.4.22-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Jan 2016 18:58:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Matej Vela <vela@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg, libldap2-dev, libsasl2-dev
 Homepage: http://www.python-ldap.org/
 X-Python-Version: >= 2.3
@@ -10,9 +10,8 @@
 Package: python-ldap
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${python:Breaks}
 Provides: ${python:Provides}
-Suggests: python-ldap-doc
+Suggests: python-ldap-doc, python-pyasn1
 Conflicts: python2.3-ldap (<< 2.2.0-1.1), python2.4-ldap (<< 2.2.0-1.1), python2.3-ldap-tls
 Replaces: python2.3-ldap (<< 2.2.0-1.1), python2.4-ldap (<< 2.2.0-1.1), python2.3-ldap-tls
 Description: LDAP interface module for Python
@@ -24,7 +23,6 @@
 Priority: extra
 Architecture: any
 Depends: python-ldap (= ${binary:Version}), python-dbg, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${python:Breaks}
 Provides: ${python:Provides}
 Description: LDAP interface module for Python (debug extension)
  This module provides a Python interface to the OpenLDAP client library

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_installdocs:
	dh_installdocs --link-doc=python-ldap

override_dh_strip:
	dh_strip --dbg-package=python-ldap-dbg

=== debian/watch ===
version=2
http://pypi.debian.net/python-ldap/python-ldap-([\d.]+)\.tar\.gz

## python-ldap 2.4.28

=== debian/changelog ===
python-ldap (2.4.28-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 2.4.28
  * Use debhelper v10
  * Use secure transport for homepage URL
  * Update watch file
  * Add dh-python to Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 09 Dec 2016 10:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Matej Vela <vela@debian.org>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6.6-3~), python-all-dbg, libldap2-dev, libsasl2-dev
-Homepage: http://www.python-ldap.org/
+Build-Depends: debhelper (>= 10), python-all-dev (>= 2.6.6-3~), python-all-dbg,
+ libldap2-dev, libsasl2-dev, dh-python
+Homepage: https://www.python-ldap.org/
 X-Python-Version: >= 2.3
 
 Package: python-ldap

=== debian/watch ===
version=4
https://pypi.debian.net/python-ldap/python-ldap-([\d.]+)\.tar\.gz

## python-ldap 2.4.41

=== debian/changelog ===
python-ldap (2.4.41-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2.4.41 (Closes: #771504)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 20 Jul 2017 19:56:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-ldap
 Section: python
 Priority: optional
-Maintainer: Matej Vela <vela@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 10), python-all-dev (>= 2.6.6-3~), python-all-dbg,
  libldap2-dev, libsasl2-dev, dh-python

## python-ldap 3.0.0~b4

=== debian/changelog ===
python-ldap (3.0.0~b4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Provides, Conflicts, Replaces for python{3,}-pyldap.
    (Closes: #886847, #886847)

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2018 11:49:33 +0100

python-ldap (3.0.0~b4-1) unstable; urgency=medium

  * New upstream version.
  * debian/control
    - VCS*: migrate to salsa.debian.org
    - bump to standard version 4.1.3
  * debian/copyright
    - fixed incomplete entry (Closes: #885010)
  * debian/compat
    - bump to 11

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Wed, 10 Jan 2018 07:38:36 +0100

python-ldap (3.0.0~b3-1) unstable; urgency=medium

  [Timo Aaltonen]
  * New upstream release.
    - drop 01_setup_cfg.diff, obsolete
  * Package python3-ldap. (Closes: #884882)

  [Willem van den Akker]
  * debian/watch
    - handle 'b' and 'rc' tags.
  * debian control
    - bump standard version to 4.1.2.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Thu, 21 Dec 2017 19:08:22 +0200

python-ldap (2.5.2-1) unstable; urgency=low

  * New maintainer (Closes: #868690).
  * New upstream version 2.5.2
  * debian/control
    - change priority '-dbg' package to optional.
    - bump standard version to 4.1.1.
    - add VCS fields.
  * debian/copyright
    - make dep-5.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Mon, 27 Nov 2017 19:16:57 +0100

=== debian/control ===
Source: python-ldap
Section: python
Priority: optional
Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11), python-all-dev (>= 2.6.6-3~), python-all-dbg,
 libldap2-dev, libsasl2-dev, dh-python,
 python3-all-dev,
 python3-all-dbg,
 python-setuptools,
 python3-setuptools,
 python-pyasn1-modules,
 python3-pyasn1-modules,
Homepage: https://www.python-ldap.org
Vcs-Browser: https://salsa.debian.org/wvdakker-guest/python-ldap.git
Vcs-Git: git@salsa.debian.org:wvdakker-guest/python-ldap.git
X-Python-Version: >= 2.3
X-Python3-Version: >= 3.3

Package: python-ldap
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: python-pyldap, ${python:Provides}
Suggests: python-ldap-doc, python-pyasn1
Conflicts: python-pyldap (<< 3), python2.3-ldap (<< 2.2.0-1.1), python2.4-ldap (<< 2.2.0-1.1), python2.3-ldap-tls
Replaces: python-pyldap, python2.3-ldap (<< 2.2.0-1.1), python2.4-ldap (<< 2.2.0-1.1), python2.3-ldap-tls
Description: LDAP interface module for Python
 This module provides a Python interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).

Package: python3-ldap
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: python3-pyldap, ${python3:Provides}
Conflicts: python3-pyldap (<< 3)
Replaces: python3-pyldap
Suggests: python-ldap-doc, python3-pyasn1
Description: LDAP interface module for Python3
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).

Package: python-ldap-dbg
Section: debug
Priority: optional
Architecture: any
Depends: python-ldap (= ${binary:Version}), python-dbg, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: LDAP interface module for Python (debug extension)
 This module provides a Python interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-ldap-dbg
Section: debug
Priority: optional
Architecture: any
Depends: python3-ldap (= ${binary:Version}), python3-dbg, ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: LDAP interface module for Python3 (debug extension)
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-pyldap
Section: oldlib
Architecture: any
Depends: python-ldap (>= 3), ${misc:Depends}
Description: LDAP interface module for Python 2.7 - transition package
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This transition dummy package for Python 2.7 can be safely removed, since the
 ldap module has merged changes in the pyldap fork.

Package: python3-pyldap
Section: oldlib
Architecture: any
Depends: python3-ldap (>= 3), ${misc:Depends}
Description: LDAP interface module for Python 3.x - transition package
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This transition dummy package for Python 3.x can be safely removed, since the
 ldap module has merged changes in the pyldap fork.

## python-ldap 3.0.0

=== Makefile ===
PYTHON=python3
LCOV_INFO=build/lcov.info
LCOV_REPORT=build/lcov_report
LCOV_REPORT_OPTIONS=--show-details -no-branch-coverage \
	--title "python-ldap LCOV report"
SCAN_REPORT=build/scan_report
PYTHON_SUPP=/usr/share/doc/python3-devel/valgrind-python.supp

.NOTPARALLEL:

.PHONY: all
all:

.PHONY: clean
clean:
	rm -rf build dist *.egg-info $(VENV) .tox MANIFEST
	rm -f .coverage .coverage.*
	find . \( -name '*.py[co]' -or -name '*.so*' -or -name '*.dylib' \) \
	    -delete
	find . -depth -name __pycache__ -exec rm -rf {} \;

build:
	mkdir -p build

# LCOV report (measuring test coverage for C code)
.PHONY: lcov-clean lcov-coverage lcov-report lcov-open lcov
lcov-clean:
	rm -rf $(LCOV_INFO) $(LCOV_REPORT)
	if [ -d build ]; then find build -name '*.gc??' -delete; fi

lcov-coverage:
	WITH_GCOV=1 tox -e py27,py36

$(LCOV_INFO): build
	lcov --capture --directory build --output-file $(LCOV_INFO)

$(LCOV_REPORT): $(LCOV_INFO)
	genhtml --output-directory $(LCOV_REPORT) \
		$(LCOV_REPORT_OPTIONS) $(LCOV_INFO)

lcov-report: $(LCOV_REPORT)

lcov-open: $(LCOV_REPORT)
	xdg-open $(LCOV_REPORT)/index.html

lcov: lcov-clean
	$(MAKE) lcov-coverage
	$(MAKE) lcov-report

# clang-analyzer for static C code analysis
.PHONY: scan-build
scan-build:
	scan-build -o $(SCAN_REPORT) --html-title="python-ldap scan report" \
		-analyze-headers --view \
		$(PYTHON) setup.py clean --all build

# valgrind memory checker
.PHONY: valgrind
$(PYTHON_SUPP):
	@ >&2 echo "valgrind-python.supp not found"
	@ >&2 echo "install Python development files and run:"
	@ >&2 echo "    $(MAKE) valgrind PYTHON_SUPP=/your/path/to/valgrind-python.supp"
	exit 1;

valgrind: build $(PYTHON_SUPP)
	valgrind \
	    --leak-check=full \
	    --track-fds=yes \
	    --suppressions=$(PYTHON_SUPP) \
	    --suppressions=Misc/python-ldap.supp \
	    --gen-suppressions=all \
	    --log-file=build/valgrind.log \
	    $(PYTHON) setup.py test

	@grep -A7 "blocks are definitely lost" build/valgrind.log; \
	if [ $$? == 0 ]; then \
	    echo "Found definitive leak, see build/valgrind.log"; \
	    exit 1; \
	fi

=== Doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

web:
	mkdir -p .build/web .build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) .build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web .build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

=== debian/changelog ===
python-ldap (3.0.0-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Regular Expression DoS
    - debian/patches/CVE-2021-46823-pre.patch: get rid of
      expected failures in tokenizer tests in Lib/ldap/schema/tokenizer.py,
      Tests/t_ldap_schema_tokenizer.py.
    - debian/patches/CVE-2021-46823.patch: fix ReDoS in
      regex in Lib/ldap/schema/tokenizer.py.
    - CVE-2021-46823

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 04 Jul 2022 13:38:48 -0300

python-ldap (3.0.0-1ubuntu0.1) bionic; urgency=medium

  * Stop linking docs to python-ldap package, like it is done in later
    releases. This drops python2 dependenices from the python3
    package. LP: #1850283

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Dec 2019 00:14:27 +0000

python-ldap (3.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - add Team-support
    - removed python-ldap-doc dependency.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Thu, 22 Mar 2018 07:02:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: python-ldap
 Section: python
 Priority: optional
-Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Willem van den Akker <wvdakker@wilsoft.nl>
 Standards-Version: 4.1.3
 Build-Depends: debhelper (>= 11), python-all-dev (>= 2.6.6-3~), python-all-dbg,
  libldap2-dev, libsasl2-dev, dh-python,
@@ -13,7 +15,7 @@
  python3-pyasn1-modules,
 Homepage: https://www.python-ldap.org
 Vcs-Browser: https://salsa.debian.org/wvdakker-guest/python-ldap.git
-Vcs-Git: git@salsa.debian.org:wvdakker-guest/python-ldap.git
+Vcs-Git: https://salsa.debian.org/wvdakker-guest/python-ldap.git
 X-Python-Version: >= 2.3
 X-Python3-Version: >= 3.3
 
@@ -21,7 +23,7 @@
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: python-pyldap, ${python:Provides}
-Suggests: python-ldap-doc, python-pyasn1
+Suggests: python-pyasn1
 Conflicts: python-pyldap (<< 3), python2.3-ldap (<< 2.2.0-1.1), python2.4-ldap (<< 2.2.0-1.1), python2.3-ldap-tls
 Replaces: python-pyldap, python2.3-ldap (<< 2.2.0-1.1), python2.4-ldap (<< 2.2.0-1.1), python2.3-ldap-tls
 Description: LDAP interface module for Python
@@ -34,7 +36,7 @@
 Provides: python3-pyldap, ${python3:Provides}
 Conflicts: python3-pyldap (<< 3)
 Replaces: python3-pyldap
-Suggests: python-ldap-doc, python3-pyasn1
+Suggests: python3-pyasn1
 Description: LDAP interface module for Python3
  This module provides a Python3 interface to the OpenLDAP client library
  (LDAP is the Lightweight Directory Access Protocol).
@@ -64,7 +66,7 @@
  This package contains the extension built for the Python debug interpreter.
 
 Package: python-pyldap
-Section: oldlib
+Section: oldlibs
 Architecture: any
 Depends: python-ldap (>= 3), ${misc:Depends}
 Description: LDAP interface module for Python 2.7 - transition package
@@ -75,7 +77,7 @@
  ldap module has merged changes in the pyldap fork.
 
 Package: python3-pyldap
-Section: oldlib
+Section: oldlibs
 Architecture: any
 Depends: python3-ldap (>= 3), ${misc:Depends}
 Description: LDAP interface module for Python 3.x - transition package

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = ldap
export PYBUILD_TEST_PYTEST = 0

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_strip:
	dh_strip -ppython-ldap --dbg-package=python-ldap-dbg
	dh_strip -ppython3-ldap --dbg-package=python3-ldap-dbg

override_dh_auto_test:

## python-ldap 3.1.0

=== debian/changelog ===
python-ldap (3.1.0-2) unstable; urgency=medium

  * Team upload

  [ Willem van den Akker ]
  * debian/control
    - Update VCS links to DPMT repositories.
    - add missing Multi-Arch options.

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package

  [ Pierre-Elliott Bécue ]
  * Add a call to dpkg-maintscript-helper symlink_to_dir to handle properly
    the replacement of /u/s/doc/python-ldap-dbg symlink by a directory, in
    order to smoothen the stretch -> buster transition. (Closes: #905198)
    - d/control: Add the Pre-Depends: ${misc:Pre-Depends} entry on
      python-ldap-dbg
    - d/python-ldap-dbg.maintscript: Add the symlink_to_dir call.
  * debian/control:
    - Bump to standard version 4.2.0
  * debian/rules:
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS for binaries.

 -- Pierre-Elliott Bécue <becue@crans.org>  Fri, 10 Aug 2018 22:58:26 +0200

python-ldap (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump to standard version 4.1.4.
    - remove ancient-python-version-field.
    - add Multi-Arch: same.
  * debian/python-ldap.docs
    - rename to docs (avoid dependency other python variant)
  * debian/rules
    - remove dh_installdoc. We can use the default.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Thu, 31 May 2018 13:51:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-ldap
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Willem van den Akker <wvdakker@wilsoft.nl>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Build-Depends: debhelper (>= 11), python-all-dev (>= 2.6.6-3~), python-all-dbg,
  libldap2-dev, libsasl2-dev, dh-python,
  python3-all-dev,
@@ -14,13 +13,12 @@
  python-pyasn1-modules,
  python3-pyasn1-modules,
 Homepage: https://www.python-ldap.org
-Vcs-Browser: https://salsa.debian.org/wvdakker-guest/python-ldap.git
-Vcs-Git: https://salsa.debian.org/wvdakker-guest/python-ldap.git
-X-Python-Version: >= 2.3
-X-Python3-Version: >= 3.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ldap
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-ldap.git
 
 Package: python-ldap
 Architecture: any
+Multi-Arch: same
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: python-pyldap, ${python:Provides}
 Suggests: python-pyasn1
@@ -32,6 +30,7 @@
 
 Package: python3-ldap
 Architecture: any
+Multi-Arch: same
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: python3-pyldap, ${python3:Provides}
 Conflicts: python3-pyldap (<< 3)
@@ -43,9 +42,10 @@
 
 Package: python-ldap-dbg
 Section: debug
-Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: python-ldap (= ${binary:Version}), python-dbg, ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Provides: ${python:Provides}
 Description: LDAP interface module for Python (debug extension)
  This module provides a Python interface to the OpenLDAP client library
@@ -55,8 +55,8 @@
 
 Package: python3-ldap-dbg
 Section: debug
-Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: python3-ldap (= ${binary:Version}), python3-dbg, ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: LDAP interface module for Python3 (debug extension)
@@ -68,6 +68,7 @@
 Package: python-pyldap
 Section: oldlibs
 Architecture: any
+Multi-Arch: same
 Depends: python-ldap (>= 3), ${misc:Depends}
 Description: LDAP interface module for Python 2.7 - transition package
  This module provides a Python3 interface to the OpenLDAP client library
@@ -79,6 +80,7 @@
 Package: python3-pyldap
 Section: oldlibs
 Architecture: any
+Multi-Arch: same
 Depends: python3-ldap (>= 3), ${misc:Depends}
 Description: LDAP interface module for Python 3.x - transition package
  This module provides a Python3 interface to the OpenLDAP client library

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_NAME = ldap
 export PYBUILD_TEST_PYTEST = 0
@@ -11,4 +13,3 @@
 	dh_strip -ppython3-ldap --dbg-package=python3-ldap-dbg
 
 override_dh_auto_test:
-

## python-ldap 3.2.0

=== debian/changelog ===
python-ldap (3.2.0-4ubuntu7.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Improper special character escape when supplying
    non-string data types.
    - debian/patches/CVE-2025-61911.patch: Raise exception when type is not str
      in Lib/ldap/filter.py.
    - CVE-2025-61911
  * SECURITY UPDATE: Denial of service through improperly escaped null byte.
    - debian/patches/CVE-2025-61912.patch: Change NULL byte escape from \\\000
      to \\00 in Lib/ldap/dn.py.
    - CVE-2025-61912

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Wed, 15 Oct 2025 17:38:45 -0230

python-ldap (3.2.0-4ubuntu7.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Regular Expression DoS
    - debian/patches/CVE-2021-46823-pre.patch: get rid of
      expected failures in tokenizer tests in Lib/ldap/schema/tokenizer.py,
      Tests/t_ldap_schema_tokenizer.py.
    - debian/patches/CVE-2021-46823.patch: fix ReDoS in
      regex in Lib/ldap/schema/tokenizer.py.
    - CVE-2021-46823

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 04 Jul 2022 13:21:22 -0300

python-ldap (3.2.0-4ubuntu7) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:56:44 +0000

python-ldap (3.2.0-4ubuntu6) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:58:36 +0000

python-ldap (3.2.0-4ubuntu5) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:08:17 -0400

python-ldap (3.2.0-4ubuntu4) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:42:43 +0100

python-ldap (3.2.0-4ubuntu3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:54:43 +0200

python-ldap (3.2.0-4ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 12:00:42 +0100

python-ldap (3.2.0-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add python3-ldap.maintscript to correctly perform symlink to dir
      conversion of the previously linked docs directory on upgrades.
  * Dropped changes, no longer needed:
    - python-ldap-dbg: Depend on python2-dbg.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Feb 2020 22:51:27 -0800

python-ldap (3.2.0-4) unstable; urgency=medium

  * Drop python2 support; Closes: #937880

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 14:01:21 -0500

python-ldap (3.2.0-3ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:18:17 +0000

python-ldap (3.2.0-3ubuntu2) focal; urgency=medium

  * python-ldap-dbg: Depend on python2-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 20:07:38 +0100

python-ldap (3.2.0-3ubuntu1) focal; urgency=medium

  * Add python3-ldap.maintscript to correctly perform symlink to dir
    conversion of the previously linked docs directory on upgrades. LP:
    #1850283

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Dec 2019 00:24:01 +0000

python-ldap (3.2.0-3) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/control: Bump Standard-Version to 4.4.1 (from 4.4.0)

  [ Sandro Tosi ]
  * Drop python-pyldap transitional packages, no more rdeps left

 -- Sandro Tosi <morph@debian.org>  Fri, 25 Oct 2019 15:39:42 -0400

python-ldap (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Reintroduce Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 15:32:31 +0200

python-ldap (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Aug 2019 07:52:31 +0200

=== debian/control ===
Source: python-ldap
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Willem van den Akker <wvdakker@wilsoft.nl>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
 libldap2-dev, libsasl2-dev, dh-python,
 python3-all-dev,
 python3-all-dbg,
 python3-setuptools,
 python3-pyasn1-modules,
Homepage: https://www.python-ldap.org
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ldap
Vcs-Git: https://salsa.debian.org/python-team/modules/python-ldap.git
Testsuite: autopkgtest-pkg-python

Package: python3-ldap
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: python3-pyldap, ${python3:Provides}
Conflicts: python3-pyldap (<< 3)
Replaces: python3-pyldap
Suggests: python3-pyasn1
Description: LDAP interface module for Python3
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).

Package: python3-ldap-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: python3-ldap (= ${binary:Version}), python3-dbg, ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: LDAP interface module for Python3 (debug extension)
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pyldap
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends: python3-ldap (>= 3), ${misc:Depends}
Description: LDAP interface module for Python 3.x - transition package
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This transition dummy package for Python 3.x can be safely removed, since the
 ldap module has merged changes in the pyldap fork.

=== debian/watch ===
version=4
opts="uversionmangle=s/b/~b/;s/rc/~rc/" \
https://pypi.debian.net/python-ldap/python-ldap-([\d.]+.[\d+\w*\d*]*)\.tar\.gz

## python-ldap 3.4.2

=== debian/changelog ===
python-ldap (3.4.2-2) unstable; urgency=medium

  * Add debian/gbp.conf.
  * Build and ship documentation in python-ldap-doc package (Closes: #731222).
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Use local objects.inv for intersphinx in documentation.

 -- Michael Fladischer <fladi@debian.org>  Sun, 07 Aug 2022 12:49:37 +0000

python-ldap (3.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 31 Jul 2022 21:38:37 +0000

python-ldap (3.4.0-2) unstable; urgency=medium

  * Add patch to search for slapadd in sbin path (Closes: #1014108).
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Wed, 06 Jul 2022 18:16:35 +0000

python-ldap (3.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.5.0, no changes needed.
  * Update standards version to 4.5.1, no changes needed.

  [ Sandro Tosi ]
  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jun 2022 13:58:57 -0400

python-ldap (3.4.0-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Set Rules-Requires-Root: no.
  * Add d/upstream/metadata.
  * Add myself as uploader and to d/copyright .
  * Remove Multi-Arch: same.
  * Replace python3-ldap-dbg with python3-ldap-dbgsym.
  * Disable tests through PYBUILD_DISABLE instead of debhelper override.

 -- Michael Fladischer <fladi@debian.org>  Sat, 15 Jan 2022 20:40:07 +0000

python-ldap (3.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 11 Mar 2021 11:38:36 +0100

=== debian/control ===
Source: python-ldap
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Willem van den Akker <wvdakker@wilsoft.nl>,
 Michael Fladischer <fladi@debian.org>,
Standards-Version: 4.6.1.0
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libldap2-dev,
 libsasl2-dev,
 python3-all-dbg,
 python3-all-dev,
 python3-doc,
 python3-pyasn1-modules,
 python3-setuptools,
 python3-sphinx,
Homepage: https://www.python-ldap.org
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ldap
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ldap.git
Rules-Requires-Root: no

Package: python-ldap-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: LDAP interface module (Documentation)
 This module provides a Python3 interface to the OpenLDAP client library.
 .
 This package contains the documentation.

Package: python3-ldap
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 python3-pyldap,
 ${python3:Provides},
Conflicts:
 python3-pyldap (<< 3),
Replaces:
 python3-pyldap,
Suggests:
 python3-pyasn1,
Description: LDAP interface module for Python3
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).

Package: python3-pyldap
Section: oldlibs
Architecture: any
Depends:
 python3-ldap (>= 3),
 ${misc:Depends},
Description: LDAP interface module for Python 3.x - transition package
 This module provides a Python3 interface to the OpenLDAP client library
 (LDAP is the Lightweight Directory Access Protocol).
 .
 This transition dummy package for Python 3.x can be safely removed, since the
 ldap module has merged changes in the pyldap fork.

=== debian/tests/control ===
Tests: upstream
Depends:
 ldap-utils,
 python3-all,
 slapd,
 @,
 @builddeps@,
Restrictions: allow-stderr

## python-ldap 3.4.3

=== debian/changelog ===
python-ldap (3.4.3-2ubuntu1) noble; urgency=medium

  * Ensure python3.12 compatibility (LP: #2044546).

 -- Paul Mars <paul.mars@canonical.com>  Fri, 24 Nov 2023 11:24:28 +0100

python-ldap (3.4.3-2build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:44:23 +0000

python-ldap (3.4.3-2build2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:36:34 -0500

python-ldap (3.4.3-2build1) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:54:25 +0000

python-ldap (3.4.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + python3-ldap: Drop versioned constraint on python3-pyldap in Conflicts.
    + python3-pyldap: Drop versioned constraint on python3-ldap in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:23:02 +0100

python-ldap (3.4.3-1) unstable; urgency=low

  * New upstream release.
  * Clean up Lib/python_ldap.egg-info/PKG-INFO to allow two builds in a
    row.
  * Refactor tests/startserver to check all supported Python versions.

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Sep 2022 20:33:40 +0000

python-ldap (3.4.2-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest debian/tests/startserver to verify fix for #1008355.

 -- Emanuele Rocca <ema@debian.org>  Sat, 03 Sep 2022 15:43:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-ldap
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Willem van den Akker <wvdakker@wilsoft.nl>,
  Michael Fladischer <fladi@debian.org>,
@@ -43,8 +44,6 @@
 Provides:
  python3-pyldap,
  ${python3:Provides},
-Conflicts:
- python3-pyldap (<< 3),
 Replaces:
  python3-pyldap,
 Suggests:
@@ -57,7 +56,7 @@
 Section: oldlibs
 Architecture: any
 Depends:
- python3-ldap (>= 3),
+ python3-ldap,
  ${misc:Depends},
 Description: LDAP interface module for Python 3.x - transition package
  This module provides a Python3 interface to the OpenLDAP client library
